/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for GeneClust user interface (GCSplashScreen)
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   Kim-Anh Do
 *     Application::  GeneClust
 *
 *============================================================================*/

/*
 * @(#)GCSplashScreen.java    1.0 2001/06/07
 *
 * Copyright (c) 2001 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.geneclust;

import java.awt.Frame;
import javax.swing.JFrame;
import org.mdanderson.biostat.util.DefaultSplashScreen;


/**
 * GCSplashScreen - Creates a splash screen for use at application startup
 *
 * @version 1.0 2001/03/22
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public class GCSplashScreen extends DefaultSplashScreen
    implements GeneClustKeys
{
    // =========================================================================
    // CONSTRUCTORS
    // =========================================================================

    /**
     * Class constructor
     */
    public GCSplashScreen()
    {
        this(new JFrame());
    }

    /**
     * Class constructor specifying frame
     *
     * @param frame  parent component
     */
    public GCSplashScreen(Frame frame)
    {
        super(new GCAboutPanel(), frame, DefaultSplashScreen.FOUR_SECONDS);
        remove(statusPanel);
    }

    // =========================================================================
    // MAIN
    // =========================================================================

    /**
     * Main entry-point for the GCSplashScreen class
     *
     * @param argv  string array containing command line arguments
     */
    public static void main(String[] argv)
    {
        final long TEN_SECONDS = DefaultSplashScreen.ONE_SECOND * 10;

        GCSplashScreen splash = new GCSplashScreen();
        splash.setTimeOut(TEN_SECONDS);
        splash.display();
    }
}

