/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for stream monitor interface
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)StreamMonitor.java    1.0 2001/08/23
 *
 * Copyright (c) 2000 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;


/**
 * StreamMonitor - Allows postprocessing of data read from stream.
 *
 * @version 1.0 2001/08/23
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface StreamMonitor
{
    /**
     * Postprocesses the output from the input stream.
     *
     * @param line  string containing external process output
     * @return      string containing processed output
     */
    public String processLine(String line);
}

