/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for ABOUT System Info property keys
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)SysInfoPanelKeys.java    1.0 2001/12/31
 *
 * Copyright (c) 2000 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;


/**
 * SysInfoPanelKeys - Interface for property keys.
 *
 * @version 1.0 2001/12/31
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface SysInfoPanelKeys
{
    public static final String SYSINFO_ARCHITECTURE_LABEL =
                           "PK_SYSINFO_ARCHITECTURE_LABEL";
    public static final String SYSINFO_FREE_VM_MEMORY_LABEL =
                           "PK_SYSINFO_FREE_VM_MEMORY_LABEL";
    public static final String SYSINFO_JAVA_CLASS_VERSION_LABEL =
                           "PK_SYSINFO_JAVA_CLASS_VERSION_LABEL";
    public static final String SYSINFO_JAVA_VERSION_LABEL =
                           "PK_SYSINFO_JAVA_VERSION_LABEL";
    public static final String SYSINFO_JIT_COMPILER_LABEL =
                           "PK_SYSINFO_JIT_COMPILER_LABEL";
    public static final String SYSINFO_JVM_INFO_LABEL =
                           "PK_SYSINFO_JVM_INFO_LABEL";
    public static final String SYSINFO_JVM_NAME_LABEL =
                           "PK_SYSINFO_JVM_NAME_LABEL";
    public static final String SYSINFO_JVM_VERSION_LABEL =
                           "PK_SYSINFO_JVM_VERSION_LABEL";
    public static final String SYSINFO_KILOBYTE_TEXT =
                           "PK_SYSINFO_KILOBYTE_TEXT";
    public static final String SYSINFO_MISSING_VALUE_TEXT =
                           "PK_SYSINFO_MISSING_VALUE_TEXT";
    public static final String SYSINFO_OS_LABEL =
                           "PK_SYSINFO_OS_LABEL";
    public static final String SYSINFO_OS_VERSION_LABEL =
                           "PK_SYSINFO_OS_VERSION_LABEL";
    public static final String SYSINFO_TOTAL_VM_MEMORY_LABEL =
                           "PK_SYSINFO_TOTAL_VM_MEMORY_LABEL";
    public static final String ERR_NEGATIVE_MEMORY_AMOUNT =
                           "PK_ERR_NEGATIVE_MEMORY_AMOUNT";
}

