##################### FILE ABSTRACT ############################################
##
## Synopsis::         Source for Demo Binary model routines
##
## File Name::        %M%
## Version::          %I%
## Type::             source
## Date Completed::   %G%
##
## Environment::
##     Language::     Splus
##     Computer::     Compaq/Alpha
##     OS::           DigitalUNIX
##     OSVersion::    4.0
##
## Module Information::
##     Owner::        MDACC
##     Department::   Biostatistics
##     Researcher::   Kim-Anh Do
##     Application::  geneclust
##
################################################################################

Binary.func<-function(N,p,a)
{
## Creates a Classical type matrix with non overlapping clusters

    # Check matrix size constraints
    minN<-30;
    minp<-30;
    if (is.numeric(N) && N < minN)
        stop(paste("#rows =",N,", min =",minN,"\n"));
    if (is.numeric(p) && p < minp)
        stop(paste("#columns =",p,", min =",minp,"\n"));

    X<-matrix(0,nrow=N,ncol=p);

    ## Create first cluster
    X[1:10,1:ceiling(p/2)]<-(-a);
    X[1:10,(ceiling(p/2)+1):p]<-a;
    ## Create second cluster
    for (i in 11:20) {
        for (j in 1:p) {
            if (j%%2 == 0) {
                X[i,j]<-a;
	    }
            else {
                X[i,j]<--a;
	    }
        }
    }

    return(X);
}

GCDemoBinary.func<-function(nclst,percentToShave,nperm,gapTolerance,N,p,a,
                            noise,df,percentSupervision,classificationFileName)
{
    cat("PK_MONITOR_CREATE_MATRIX\n");

    X<-Binary.func(N,p,a);
    Data<-Common.func(X,
                      N,
                      p,
                      nclst,
                      percentToShave,
                      nperm,
                      gapTolerance,
                      noise,
                      df,
                      percentSupervision,
                      classificationFileName);

    return(Data);
}

